/*
 *  Copyright (c) 2006 Cyrille Berger <cberger@cberger.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef KIS_SIMPLESMUDGEOP_H_
#define KIS_SIMPLESMUDGEOP_H_

#include "kis_paintop.h"
#include <qobject.h>

class KisPoint;
class KisPainter;

class KisSimpleSmudgeOpFactory : public KisPaintOpFactory  {
public:
    KisSimpleSmudgeOpFactory() {}
    virtual ~KisSimpleSmudgeOpFactory() {}

    virtual KisPaintOp * createOp(const KisPaintOpSettings *settings, KisPainter * painter);
    virtual KisID id() { return KisID("simplesmudge", i18n("Simple Smudge Brush")); }
    virtual QString pixmap() { return "simplesmudge.png"; }
    virtual KisPaintOpSettings *settings(QWidget * parent, const KisInputDevice& inputDevice);
};

class KisSimpleSmudgeOp : public KisPaintOp {
    typedef KisPaintOp super;
public:
    KisSimpleSmudgeOp(KisPainter * painter);
    virtual ~KisSimpleSmudgeOp();

    void paintAt(const KisPoint &pos, const KisPaintInformation& info);
private:
    KisPaintDeviceSP m_target, m_srcdev;
    bool m_firstRun;
};

#endif // KIS_SIMPLESMUDGEOP_H_
